/* ========================= font ============================= */

@font-face {
    font-family: "PoppinsRegular";
    src: url("../fonts/PoppinsRegular.ttf") format("truetype"),
        url("../fonts/PoppinsRegular.ttf") format("truetype");
}

@font-face {
    font-family: "PoppinsMedium";
    src: url("../fonts/PoppinsMedium.ttf") format("truetype"),
        url("../fonts/PoppinsMedium.ttf") format("truetype");
}

@font-face {
    font-family: "PoppinsBold";
    src: url("../fonts/PoppinsBold.ttf") format("truetype"),
        url("../fonts/PoppinsBold.ttf") format("truetype");
}

@font-face {
    font-family: "PoppinsExtraBold";
    src: url("../fonts/PoppinsExtraBold.ttf") format("truetype"),
        url("../fonts/PoppinsExtraBold.ttf") format("truetype");
}

@font-face {
    font-family: "PoppinsSemiBold";
    src: url("../fonts/PoppinsSemiBold.ttf") format("truetype"),
        url("../fonts/PoppinsSemiBold.ttf") format("truetype");
}

@font-face {
    font-family: "PoppinsLight";
    src: url("../fonts/PoppinsLight.ttf") format("truetype"),
        url("../fonts/PoppinsLight.ttf") format("truetype");
}

@font-face {
    font-family: "PoppinsExtraLight";
    src: url("../fonts/PoppinsExtraLight.ttf") format("truetype"),
        url("../fonts/PoppinsExtraLight.ttf") format("truetype");
}

/* ========================= font ============================= */

/* ========================= global ============================= */

:root {
    --main-color: #c33130;
    --secondary-color: #f1760a;
    --black-color: #000;
    --brand-dark: #1a1a1a;
    --white-color: #fff;
    --light-gray-color: #f8f9f9;
    --gray-color: #757678;

    --font-regular: "PoppinsRegular";
    --font-medium: "PoppinsMedium";
    --font-bold: "PoppinsBold";
    --font-sm-bold: "PoppinsSemiBold";
    --font-ex-bold: "PoppinsExtraBold";
    --font-light: "PoppinsLight";
    --font-ex-light: "PoppinsExtraLight";
    --border-color: #e2e8f0;
}

/************************************ 1280px *********************************************/
@media (max-width: 1280px) {
    header .headerBottom .headerBottomRight .order a {
        padding: 12px;
    }
}

/************************************ 1229px *********************************************/
@media (max-width: 1229px) {
    header .headerBottom .headerBottomRight .order a {
        padding: 8px;
    }
}

/************************************ 1208px *********************************************/
@media (max-width: 1208px) {
    header .headerBottom .headerBottomRight .order a {
        font-size: 14px;
    }
}

/************************************1024px*********************************************/
@media (max-width: 1195px) {

    .headerBottomLeft {
        width: 85%;
    }

    header .headerBottom .headerBottomRight,
    header .headerTop .container .headerTopLeft,
    header .headerTop .container .headerTopRight {
        justify-content: center;
        display: none;
    }

    header .headerTop .container .headerTopMobile ul {
        display: flex;
        align-items: center;
        gap: 15px;
    }

    header .headerTop .container .headerTopMobile ul li button {
        padding: 0px;
        border: none;
    }
    header .headerTop .container .headerTopMobile ul li.logIn button#dropdownMenuButton.dropdown-toggle::after{
        border: none;
        content: '';
        margin: 0;
    }
    header .headerTop .container .headerTopMobile ul li .lang {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 5px;
        padding-inline-end: 5px;
    }
    header .headerTop .container .headerTopMobile ul li .lang .dropdown-toggle {
        color: white;
        text-transform: uppercase;
    }
    header .headerTop .container .headerTopMobile ul li button:focus {
        outline: none;
        border: none;
    }
    header .headerTop .container .headerTopLeft ul {
        display: flex;
        gap: 15px;
        justify-content: center;
        margin-bottom: 15px;
    }

    header .headerBottom .headerBottomLeft a {
        display: flex;
        align-items: center;
        gap: 10px;
        width: 100%;
        font-size: 28px;
        font-weight: 700;
        justify-content: flex-end;
    }

    header .headerBottom .headerBottomCenter {
        margin: 15px 0;
        display: none;
    }

    header .headerBottom .headerBottomRight ul {
        justify-content: center;
    }

    .slider,
    .slider .slide,
    .slider .slideImage img {
        height: auto;
    }

    .slider li.slide .content {
        font-size: 18px;
    }

    .aboutUs {
        position: relative;
        padding: 50px 0;
    }

    .aboutUs .image {
        display: inline-block;
        width: 100%;
        text-align: center;
    }

    .aboutUs .about {
        float: right;
        width: 100%;
    }

    .aboutUs .food h2 {
        font-size: 45px;
        font-family: var(--font-bold);
        color: var(--main-color);
        rotate: 90deg;
        position: absolute;
        left: -10%;
        top: 20%;
    }

    .aboutUs .about .title {
        width: 100%;
    }

    .aboutUs .about .image {
        width: auto;
    }

    .aboutUs .about .count .image {
        width: 50px;
    }

    .aboutUs .about .count .image::after {
        left: -25px;
    }

    .whyUs .group {
        padding-left: 0;
        display: inline-block;
        width: 100%;
        padding: 45px 0;
        padding-bottom: 15px;
        text-align: center;
    }

    .whyUs .group .subGroup {
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
    }

    .whyUs .group fieldset {
        width: 45%;
    }

    .whyUs .group .container {
        max-width: 100%;
        width: 98% !important;
        margin: 0 auto;
    }

    .whyUs .image {
        float: right;
        width: 100%;
    }

    .whyUs .image img {
        height: 440px;
        width: 100%;
        object-fit: cover;
    }

    .whyUs .burger {
        display: none;
    }

    .news,
    .ourMenu {
        padding: 50px 0;
        position: relative;
    }

    .whyUs {
        height: auto;
    }

    .searchForm {
        width: 90%;
    }

    header .headerTop .headerTopMobile,
    header .headerBottom .headerBottomMobile {
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    header .headerBottom .headerBottomMobile {
        position: unset;
        width: 20%;
    }

    header .headerBottom .headerBottomLeft {
        width: 80%;
    }

    header .headerBottom .headerBottomMobile .menuIcon {
        rotate: 180deg;
    }

    /* header .headerBottom .headerBottomMobile .menuMobile {
        display: none;
    } */

    header .headerBottom {
        position: relative;
        /* overflow-x: hidden; */
    }
    /* side menu in mobile */
    header .headerBottom .headerBottomMobile .menuMobile {
        background-color: #f8fafa;
        position: fixed;
        top: 0%;
        z-index: 999;
        width: 100%;
        height: 100vh;
        padding: 0;
        transition: all 0.5s;
        overflow: hidden;
    }

    [dir="ltr"] header .headerBottom .headerBottomMobile .menuMobile {
        left: -100%;
    }

    [dir="ltr"] header .headerBottom .headerBottomMobile .menuMobile.active {
        left: 0;
        transition: all 0.5s;
    }

    [dir="rtl"] header .headerBottom .headerBottomMobile .menuMobile {
        right: -100%;
    }

    [dir="rtl"] header .headerBottom .headerBottomMobile .menuMobile.active {
        right: 0;
        transition: all 0.5s;
    }

    header .headerBottom .headerBottomMobile .menuMobile .mainMenuMobile {
        width: 100%;
    }

    header .headerBottom .headerBottomMobile .menuMobile .mainMenuMobile li {
        display: block;
    }
    header .headerBottom .headerBottomMobile .menuMobile .mainMenuMobile li button i.fa-minus,
    header .headerBottom .headerBottomMobile .menuMobile .mainMenuMobile li button i.fa-plus {
        color: var(--main-color, --secondary-color);
    }
    header .headerBottom .headerBottomMobile .menuMobile .currencys {
        display: flex;
        align-items: center;
        padding-left: 0;
        justify-content: center;
    }

    /* . Header Section for side menu */
    .fs-menu-header {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 14px 20px;
        background-color: #ffffff;
        border-bottom: 1px solid var(--border-color);
    }

    /* lang button */
    header .headerBottom .headerBottomMobile .menuMobile .lang {
        display: flex;
        align-items: center;
        gap: 8px;
        color: #1a1a1a;
        background: #f1f3f5;
        padding: 5px 8px;
        border-radius: 15px;
    }
    header .headerBottom .headerBottomMobile .menuMobile .lang .btn.dropdown-toggle:active,
    header .headerBottom .headerBottomMobile .menuMobile .lang .btn.dropdown-toggle:focus {
        outline: none;
        border: none;
        box-shadow: none;
    }

    header .headerBottom .headerBottomMobile .menuMobile .lang button {
        background: transparent;
        border: none;
        font-weight: 700;
        color: #1a1a1a;
        padding: 0;
        margin-bottom: 5px;
    }
    header .headerBottom .headerBottomMobile .menuMobile .currencys button {
        font-size: 20px;
        color: var(--white-color);
        font-family: var(--font-medium);
        padding: 0 0 0 5px;
    }

    /* close button */
    .fs-menu-header .close-menu {
        background: #f1f3f5;
        border: none;
        width: 38px;
        height: 38px;
        border-radius: 50%;
        color: var(--main-color);
        font-size: 20px;
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
        transition: 0.2s;
    }

    .fs-menu-header .dropdown-menu {
        padding: 0;
        box-shadow: 0 4px 12px rgba(0,0,0,0.15);
    }

    .fs-menu-header .dropdown-item {
        padding: 8px 15px;
        cursor: pointer;
    }

    /* 2. Search Section */
    .searchMobile {
        padding: 15px 20px;
        background: #ffffff;
        border-bottom: 1px solid #e9ecef;
    }
    .fs-search-box {
        display: flex;
        background: #f8fafa;
        border: 1px solid #e9ecef;
        border-radius: 30px;
        padding: 2px 15px;
    }
    .fs-search-box input {
        width: 100%;
        border: none;
        background: transparent;
        padding: 10px 5px;
        outline: none;
        font-size: 14px;
    }

    .fs-search-box button {
        background: transparent;
        border: none;
        color: var(--main-color);
        font-size: 16px;
    }
    

    /* 3. Tab Switching Navigation */
    .menu-tab-nav {
        display: flex;
        background: #ffffff;
        border-bottom: 1px solid var(--border-color);
    }
    .menu-tab-nav .tab-btn {
        flex: 1;
        padding: 12px 10px;
        border: none;
        background: transparent;
        font-size: 14px;
        font-weight: 700;
        cursor: pointer;
        color: #64748b;
        border-bottom: 3px solid transparent;
        transition: all 0.2s;
    }

    .menu-tab-nav .tab-btn.active {
        color: var(--main-color, --secondary-color);
        border-bottom-color: var(--main-color, --secondary-color);
    }

    .menu-tab-nav .tab-btn i {
        margin-inline-end: 6px;
    }

    /* 4. Tab Panels of side menu */
    .tab-content-panel {
        display: none;
    }

    .tab-content-panel.active {
        display: block;
    }

    /* 5. body Panels of side menu */
    .fs-menu-body{
        max-height: calc(100vh - 190px);
        overflow-y: auto;
        padding-inline-end: 10px;
    }    

    /* 6. body of side menu of main navigation and categories */
    [dir="ltr"] header .headerBottom .headerBottomMobile .menuMobile .mainMenuMobile .cat-list,
    [dir="ltr"] header .headerBottom .headerBottomMobile .menuMobile .mainMenuMobile .cat-ul-list-child {
        margin-left: 1rem !important;
        border-left: 2px solid var(--main-color);
        padding-left: 1rem !important;
    }
    [dir="rtl"] header .headerBottom .headerBottomMobile .menuMobile .mainMenuMobile .cat-list,
    [dir="rtl"] header .headerBottom .headerBottomMobile .menuMobile .mainMenuMobile .cat-ul-list-child {
        margin-right: 1rem !important;
        border-right: 2px solid var(--main-color);
        padding-right: 1rem !important;
    }
    #tab-categories ul{
        list-style: none !important;
    }
    #tab-categories .toggle-icon {
        font-size: 16px;
    }
    #tab-categories .toggle-icon.btn:focus {
        outline: none !important;
        border: none;
        box-shadow: none;
    }
    .mainMenuMobile .mainMenu li,
    #tab-categories .collapse li {
        border-top: 1px dashed #e0e0e0;
    }
    .mainMenuMobile .mainMenu li a,
    #tab-categories .collapse li a {
        font-size: 15px ;
        font-weight: bold;
        color: #555;
        padding: 12px 0;
        display: flex;
        align-items: center;
        gap: 0px 10px;
        width: fit-content;
        transition: 0.3s all ease-out;
    }
    .mainMenuMobile .mainMenu li a {
        padding-inline-start: 20px;
        padding-block: 20px;
    }
    .mainMenuMobile .mainMenu li a:hover,
    #tab-categories .collapse li a:hover {
        color: var(--main-color);
    }
    .cat-img-wrap{
        width: 40px;
        height: 40px;
        display: flex;
        align-items: center;
        object-fit: contain;
    }
    .innerTop {
        height: 250px;
    }

    #sign-up-form {
        width: 75%;
    }

    .page-contactUs .innerContent main form fieldset.group .form-group {
        width: 100%;
    }

    .page-contactUs .branches .contactTop fieldset {
        margin-bottom: 30px;
    }

    .page-contactUs .innerContent aside nav.socailMedia {
        margin-bottom: 35px;
    }
    
    .logIn .dropdown-menu,
    .lang  .dropdown-menu {
        left: unset;
        right: 0;
    }
    .dropdown-ar {
        left: 0!important;
        right: unset!important;
    }
    .page-myOrder .innerContent aside nav,
    .page-accountInfo .innerContent aside nav,
    .page-checkout .innerContent main form {
        margin-bottom: 30px;
    }

    .page-checkout-decline .box,
    .page-checkout-success .box {
        width: 75%;
    }

    .page-myOrder .innerContent main .myOrderInfo {
        width: 100%;
        overflow: auto;
    }

    .page-menu3 .content #ourMenu .card-body,
    .page-menu2 .content #ourMenu .card-body {
        gap: 10px;
    }

    .page-menu2 .category .categ.scrolled {
        position: relative;
        top: unset;
        width: auto;
    }

}

/************************************767px*********************************************/
.item-data{
    display: flex;
        justify-content: space-between;
        line-height: 1.5;
        font-size: 16px;
        font-weight: bold;
}
.item-data:not(.list-modifier) span{
  flex:1;
  text-align: justify;
}
@media (max-width:1100px){
    .btn-all.type-active {
        background-color: #fb2f2f96 !important;
        color: #fff !important;
    }
}

@media (max-width:991px){
    .order-now-btn {
        display: flex;
        align-items: center;
        justify-content: center;
        border-radius: 8px;
        background: var(--main-color);
        color: var(--white-color);
        padding: 8px 18px;
        font-size: 15px;
        font-weight: 600;
        cursor: pointer;
        margin-block: 5px;
    }
    header .headerBottom .container {
        width: 100% !important;
    }
    header .headerBottom .container .headerBottomLeft a.logo {
        display: flex;
        justify-content: center;
    }
    header .headerBottom .container .headerBottomLeft ul {
        display: flex;
        align-items: center;
        gap: 15px;
    }
    header .headerBottom .container .headerBottomLeft ul li button {
        padding: 0px;
        border: none;
    }
    header .headerBottom .container .headerBottomLeft ul li.logIn .dropdown-item {
        display: block;
        font-weight: 400;
        font-size: 16px;
    }
    header .headerBottom .container .headerBottomLeft ul li.logIn button#dropdownMenuButton.dropdown-toggle::after{
        border: none;
        content: '';
        margin: 0;
    }
    header .headerBottom .container .headerBottomLeft ul li.myOrder .notification {
        color: white;
    }
    /* header .headerBottom .container .headerBottomLeft ul li .lang {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 5px;
        padding-inline-end: 5px;
    }
    header .headerBottom .container .headerBottomLeft ul li .lang .dropdown-toggle {
        color: black;
        text-transform: uppercase;
        font-size: 18px;
    } */

    header .headerBottom .container .headerBottomLeft ul li button:focus {
        outline: none;
        border: none;
        box-shadow: none;
    }
    .page-menu3.category{
        display: none !important;
    }
    
    footer .footerTop .footerLogo {
        text-align: center;
    }

    footer .footerTop .footerSubscribe .payment,
    footer .footerTop .footerSubscribe form,
    footer .footerTop .footerLogo .socail ul,
    footer .footerTop .footerLogo .logoo {
        justify-content: center;
    }

    .footerMenu {
        margin: 35px 0;
        text-align: center;
    }

    .footerOtherLink,
    .footerCategory {
        margin-bottom: 35px;
        text-align: center;
    }

    footer .footerBottom .footerCopyright,
    .footerCopyright,
    .footerSubscribe,
    .footerBottom {
        text-align: center;
    }
}

#address-fields-guest,#address-fields{
    width: 100%;
}

@media (max-width: 767px) {
    .ourMenu .product .card .card-body .card-title {
        min-height: fit-content;
    }
    .ourMenu .slick-next {
        right: 0;
    }
    .ourMenu .slick-prev {
        left: 0;
    }
    header .headerTop {
        padding: 5px 0!important;
    }
    #address-fields-guest.row,#address-fields.row{
      margin: 0;
    }
    header .headerBottom .headerBottomMobile .menuMobile .lang{
        justify-content: flex-start;
    }
    /*=========*/
    .page-menu .mainCategory ul li .image{
        padding: 5px;
    }
    .page-menu .mainCategory ul li a{
       gap: 3px;
       margin-bottom: 8px;
    }
    .page-menu .mainCategory ul{
        display: flex;
        flex-wrap: wrap;
        padding: 0!important;
        justify-content: center;
    }
    .page-menu #ourMenu .product .card .list-group.addOrder{
        flex-wrap: wrap;
        align-items: center;
    }
    .page-menu #ourMenu .product .card .price{
        white-space: nowrap;
        font-size: 16px;
    }
    .page-menu .mainCategory ul li{
        margin-right: 5px;
    }
    .container{
        padding: 5px!important;
        width: 98%!important;
    }
    .logo{
        max-width: unset!important;
    }
    html,body{
        overflow-x: hidden;
        width: 100vw;
    }
    .page-menu #ourMenu .product .card .card-body .card-title {
        min-height: fit-content;
        max-height: 65px;
        font-size: 16px;
    }
    #ourMenu .product  .card-body{
      padding: 0;
      line-height: 2.5;
    }
    html[dir=rtl] .dropdown-menu {
        left: unset;
    }
    /*=========*/
    #address-fields-guest .col-md-6,#address-fields .col-md-6{
        padding: 0;
    }
    .box{
        flex-direction: column;
    }
    .box .cart-table-data{
        display: none;
    }
    .ourMenu .product .card {
        padding: 15px 5px;
    }
    .ourMenu .product .card .price{
        font-size: 16px;
    }
    .btn-all.type-active {
        background-color: #fb2f2f96 !important;
        color: #fff !important;
    }
    .page-checkout .innerContent main form h2 {
        padding: 0 25px;
        font-size: 25px;
    }
    .box .cart-div-data{
        display: block!important;
        padding: 10px;
    }
    header .headerBottom .headerBottomRight ul {
        display: flex;
        align-items: center;
        gap: 13px;
        flex-wrap: wrap;
    }

    .slider li.slide fieldset .container {
        width: 94% !important;
    }

    .slider li.slide .content {
        width: 82%;
    }

    .aboutUs .image img {
        height: auto;
    }

    .aboutUs .food h2 {
        display: none;
    }

    .whyUs .group .subGroup {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    .whyUs .group fieldset {
        width: 100%;
    }

    .whyUs .group .title {
        font-size: 38px;
    }

    .news .new img {
        width: 100%;
    }

    .aboutUs .about .count {
        display: flex;
        gap: 30px;
        flex-wrap: wrap;
    }

    .aboutUs .about .count fieldset {
        width: 100%;
        text-align: center;
    }

    .aboutUs .about .count .image {
        width: 50px;
    }

    .aboutUs .about .count .image::after {
        content: "";
        width: 68px;
        height: 68px;
        border-radius: 50px;
        background-color: #EFE9DA;
        position: absolute;
        left: -10px;
        top: -10px;
        z-index: -1;
    }

    .searchForm .closed {
        margin-bottom: 15px;
        position: unset;
    }

    footer .footerTop .footerSubscribe form {
        flex-direction: column;
    }

    .innerTop {
        height: 170px;
    }

    #sign-in-form,
    #sign-up-form {
        width: 90%;
    }

    #sign-up-form .info {
        text-align: center;
    }

    #sign-in-form ul {
        display: flex;
        justify-content: space-between;
        margin-bottom: 25px;
        flex-direction: column;
        align-items: center;
        gap: 12px;
    }

    .page-accountInfo .innerContent main form fieldset.group .form-group,
    .page-checkout .innerContent main form fieldset.group .form-group {
        width: 100%;
    }

    .page-checkout .innerContent main form fieldset.payments {
        flex-direction: column;
        gap: 25px;
    }

    .page-checkout-decline .box,
    .page-checkout-success .box {
        width: 100%;
    }

    .page-menu .mainCategory {
        width: 100%;
        overflow: auto;
    }

    .page-menu2 .content .topContent,
    .page-sub-menu .content .topContent,
    .page-menu .content .topContent {
        flex-direction: column;
        gap: 25px;
    }

    .page-sub-menu #ourMenu .product.listItems .card,
    .page-menu #ourMenu .product.listItems .card {
        flex-wrap: wrap;
        justify-content: flex-start;
        gap: 5px;
    }
    .page-menu #ourMenu .product.listItems .card .card-img-top{
        /* height: 130px!important; */
        width: 50%;
        height: auto;
    }
    .page-menu #ourMenu .product.listItems .card .list-group.addOrder,
    .page-sub-menu #ourMenu .product.listItems .card .list-group.addOrder {

        flex-direction: row;
        width: 100%;
    }
    .page-menu #ourMenu .product.listItems .card .list-group {
        flex-direction: row;
    }
    .page-menu3 .content #ourMenu .card-body,
    .page-menu2 .content #ourMenu .card-body {
        display: flex;
        flex-direction: column;
        text-align: center;
        gap: 15px;
    }

    /* .dropdown-toggle::after {
        display: none;
    } */

    .logIn button {
        padding: 0;
    }

    .cat-popup .modal-body .details {
        /* flex-direction: column; */
    }

    .sideCart .modal.in .modal-dialog .modal-content {
        height: 100vh;
    }

}

body.menu-open {
    overflow: hidden !important;
    height: 100vh !important;
}
